﻿@using System.Web.UI.WebControls;
@model SSCMvc.Models.Tb_VisaPayment
@{
    ViewBag.Title = "Edit";
}
<h2>
    Edit</h2>
@using (Ajax.BeginForm("Edit", "Tb_VisaPayment", null,
        new AjaxOptions
        {
            UpdateTargetId = "update-messageStatus",
            InsertionMode = InsertionMode.Replace,
            HttpMethod = "POST",
            OnSuccess = "updateSuccessStatus"
        }, new { @id = "updateCustAcHistory" }))
{
    @Html.ValidationSummary(true)
    <div id="update-messageStatus" class="error invisible">
    </div>
    <fieldset>
        <legend>Tb_VisaPayment</legend>
        @Html.HiddenFor(model => model.Id)
        @Html.HiddenFor(model => model.StudentId)
        @Html.HiddenFor(model => model.StudentType)
        <table>
            <tr>
                <td align="left" class="editor-label">
                    Date
                </td>
                <td align="left" class="editor-field">
                    @Html.EditorFor(model => model.CDate)
                    @Html.ValidationMessageFor(model => model.AmountPaid)
                </td>
                <td>
                 @Html.LabelFor(model => model.AmountPaid)
                </td>
                <td>
                 @Html.EditorFor(model => model.AmountPaid)
                    @Html.ValidationMessageFor(model => model.AmountPaid)
                </td>
            </tr>
            <tr>
                <td class="editor-label">
                    @Html.LabelFor(model => model.PaymentMode)
                </td>
                <td class="editor-field">
                    @{
    var payopt = new List<ListItem>();

    payopt.Add(new ListItem { Text = "Cash", Value = "Cash" });
    payopt.Add(new ListItem { Text = "Cheque", Value = "Cheque" });
    payopt.Add(new ListItem { Text = "DD", Value = "DD" });
                  
        
   
                              
                    }
                    @Html.DropDownListFor(model => model.PaymentMode, new SelectList(payopt), new { @id = "newdrop", onLoad = "Showoption();", onChange = "Showoption();" })
                    @Html.ValidationMessageFor(model => model.PaymentMode)
                </td>
                <td class="editor-label">
                   Remarks
                </td>
                <td class="editor-field">
                   @Html.TextAreaFor(model=>model.Remarks)
                </td>
            </tr>
 
        </table>
        <table width="80%" id="paydetailedit">
            <tr>
                <td align="left" class="editor-label">
                    <table>
                        <tr>
                            <td>@Html.LabelFor(model => model.ChequeNo)
                            </td>
                            <td>
                                <span class="color_style">*</span>
                            </td>
                        </tr>
                    </table>
                </td>
                <td align="left" class="editor-field">
                    @Html.EditorFor(model => model.ChequeNo)
                    @Html.ValidationMessageFor(model => model.ChequeNo)
                </td>
                <td align="left" class="editor-label">
                    <table>
                        <tr>
                            <td>
                                @Html.LabelFor(model => model.ChequeDate)
                            </td>
                            <td>
                                <span class="color_style">*</span>
                            </td>
                        </tr>
                    </table>
                </td>
                <td align="left" class="editor-field">
                    @Html.EditorFor(model => model.ChequeDate)
                    @Html.ValidationMessageFor(model => model.ChequeDate)
                </td>
            </tr>
            <tr>
                <td align="left" class="editor-label">
                    <table>
                        <tr>
                            <td>@Html.LabelFor(model => model.BankName)
                            </td>
                            <td>
                                <span class="color_style">*</span>
                            </td>
                        </tr>
                    </table>
                </td>
                <td align="left" class="editor-field">
                    @Html.EditorFor(model => model.BankName)
                    @Html.ValidationMessageFor(model => model.BankName)
                </td>
                <td align="left" class="editor-label">
                </td>
                <td align="left" class="editor-field">
                </td>
            </tr>
        </table>
        @* <p>
            <input type="submit" value="Save" />
        </p>*@
    </fieldset>
}
<script type="text/javascript">
    $("#paydetail").hide();
    $('input[type="date"]').datepicker();
    $('input[type="date"]').attr('placeholder', 'mm/dd/yyyy');
    $('input[type="date"]').prop('type', 'text');

   

  

    
</script>
